%
% Author: Jan Lellmann, J.Lellmann@damtp.cam.ac.uk
% Date: 18/11/2013
%
function result = TV2(u)
    sz = [size(u,1) size(u,2)]; % dimensions of image
    m = size(u,3);              % # channels
    
    Grad = diffopn(sz,m,'forward','neumann');
    Grad2 = diffopn(sz,numel(sz)*m,'backward','dirichlet') * Grad;
    
    gu = reshape(Grad2 * u(:), prod(sz), numel(sz)*numel(sz)*m);
    
    result = sum(norms(gu,2,2));
end
