%
% Author: Jan Lellmann, J.Lellmann@damtp.cam.ac.uk
% Date: 18/11/2013
%
function result = TV_graph(u)
    sz = [size(u,1) size(u,2)]; % dimensions of image
    m = size(u,3);                % # channels
    
    Grad = diffopn(sz,m,'forward','neumann');
    
    gu = reshape(Grad * u(:), prod(sz), numel(sz)*m);
    
    result = sum(norms(gu,1,2)); % L2 norm - built-in function    
end
